//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SSCMvc.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    public partial class MaBranch
    {
        public MaBranch()
        {
            this.MaBugReports = new HashSet<MaBugReport>();
            this.MaCourses = new HashSet<MaCourse>();
            this.MaDiscounts = new HashSet<MaDiscount>();
            this.MaFrmReferences = new HashSet<MaFrmReference>();
            this.MaPackages = new HashSet<MaPackage>();
            this.MaTimes = new HashSet<MaTime>();
            this.Tb_FeeAdjustment = new HashSet<Tb_FeeAdjustment>();
            this.Tb_FeeRefund = new HashSet<Tb_FeeRefund>();
            this.Tb_Installment = new HashSet<Tb_Installment>();
            this.Tb_StudentTransfer = new HashSet<Tb_StudentTransfer>();
            this.Tb_StudentTransfer1 = new HashSet<Tb_StudentTransfer>();
            this.Tb_VisaPayment = new HashSet<Tb_VisaPayment>();
            this.Users = new HashSet<User>();
            this.Tb_IELTSResult = new HashSet<Tb_IELTSResult>();
            this.Tb_StudLeave = new HashSet<Tb_StudLeave>();
            this.MaEnquiries = new HashSet<MaEnquiry>();
            this.Tb_MockTest = new HashSet<Tb_MockTest>();
            this.MaAdmissions = new HashSet<MaAdmission>();
            this.Tb_FeeReceipt = new HashSet<Tb_FeeReceipt>();
        }

        public int Id { get; set; }


        [StringLength(50)]
        [Display(Name = "Branch Name")]
        [Required(ErrorMessage = "Branchname is required")]
        public string BramchName { get; set; }


        [StringLength(50)]
        [Required(ErrorMessage = "Area is required")]
        public string Area { get; set; }
        [DataType(DataType.MultilineText)]
        [Required(ErrorMessage = "Address is required")]


        [StringLength(250)]
        public string Address { get; set; }



        [StringLength(50)]
        [Required(ErrorMessage = "City is required")]
        public string City { get; set; }


        [StringLength(50)]
        [Display(Name = "Contact Person")]
        public string ContactPerson { get; set; }


        [StringLength(15)]
        [DataType(DataType.Text)]
        [Display(Name = "MobileNo")]
        [Required(ErrorMessage = "Mobile no. is required")]
        [RegularExpression(@"\d{10}$", ErrorMessage = "Not a valid number")]
        public string MobileNo1 { get; set; }

        [StringLength(15)]
        [DataType(DataType.Text)]
        [RegularExpression(@"\d{10}$", ErrorMessage = "Not a valid number")]
        public string MobileNo2 { get; set; }

        [StringLength(15)]
        public string Phone { get; set; }

        [Required(ErrorMessage = "Code is required")]
        public string Code { get; set; }

        [StringLength(70)]
        [RegularExpression(@"^([a-zA-Z0-9_\-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([a-zA-Z0-9\-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$", ErrorMessage = "Not a valid Email Address")]
        [DataType(DataType.EmailAddress)]
        public string Email { get; set; }

        [DataType(DataType.Date)]
        [Display(Name = "Enter Date")]
        public Nullable<System.DateTime> Cdate { get; set; }


        [DataType(DataType.Date)]
        [Display(Name = "Start Date")]
        public Nullable<System.DateTime> Startdate { get; set; }
        public string BgColor { get; set; }

        private Nullable<bool> _Status;
        public bool Status
        {
            get
            {
                if (_Status == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            set
            {
                _Status = value;

            }
        }
        public Nullable<bool> _SkipIP { get; set; }
        public bool SkipIP
        {
            get
            {
                if (_SkipIP == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            set
            {
                _SkipIP = value;

            }
        }
        public virtual ICollection<MaBugReport> MaBugReports { get; set; }
        public virtual ICollection<MaCourse> MaCourses { get; set; }
        public virtual ICollection<MaDiscount> MaDiscounts { get; set; }
        public virtual ICollection<MaFrmReference> MaFrmReferences { get; set; }
        public virtual ICollection<MaPackage> MaPackages { get; set; }
        public virtual ICollection<MaTime> MaTimes { get; set; }
        public virtual ICollection<Tb_FeeAdjustment> Tb_FeeAdjustment { get; set; }
        public virtual ICollection<Tb_FeeRefund> Tb_FeeRefund { get; set; }
        public virtual ICollection<Tb_Installment> Tb_Installment { get; set; }
        public virtual ICollection<Tb_StudentTransfer> Tb_StudentTransfer { get; set; }
        public virtual ICollection<Tb_StudentTransfer> Tb_StudentTransfer1 { get; set; }
        public virtual ICollection<Tb_VisaPayment> Tb_VisaPayment { get; set; }
        public virtual ICollection<User> Users { get; set; }
        public virtual ICollection<Tb_IELTSResult> Tb_IELTSResult { get; set; }
        public virtual ICollection<Tb_StudLeave> Tb_StudLeave { get; set; }
        public virtual ICollection<MaEnquiry> MaEnquiries { get; set; }
        public virtual ICollection<Tb_MockTest> Tb_MockTest { get; set; }
        public virtual ICollection<MaAdmission> MaAdmissions { get; set; }
        public virtual ICollection<Tb_FeeReceipt> Tb_FeeReceipt { get; set; }
    }
}
